// Garden Gnome Software - Skin
// Pano2VR pro 4.1.0/3404
// Filename: menu.ggsk
// Generated Thu Jun 27 15:44:47 2013

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._hide_template_dropdown=document.createElement('div');
		this._hide_template_dropdown.ggId='hide_template_dropdown';
		this._hide_template_dropdown.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hide_template_dropdown.ggVisible=false;
		this._hide_template_dropdown.className='ggskin ggskin_container';
		hs ='position:absolute;';
		hs+='left: -100px;';
		hs+='top:  -100px;';
		hs+='width: 160px;';
		hs+='height: 28px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='overflow: hidden;';
		this._hide_template_dropdown.setAttribute('style',hs);
		this._markertemplate=document.createElement('div');
		this._markertemplate.ggId='markertemplate';
		this._markertemplate.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._markertemplate.ggVisible=true;
		this._markertemplate.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._markertemplate.setAttribute('style',hs);
		this._markertemplate.ggMarkerNodeId='';
		nodeMarker.push(this._markertemplate);
		this._menu_text4=document.createElement('div');
		this._menu_text4.ggId='menu_text';
		this._menu_text4.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_text4.ggVisible=true;
		this._menu_text4.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  1px;';
		hs+='width: 150px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #ffffff;';
		hs+='border-radius: 1px;';
		hs+=cssPrefix + 'border-radius: 1px;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_text4.setAttribute('style',hs);
		this._menu_text4.ggUpdateText=function() {
			var hs=me.player.userdata.title;
			if (hs!=this.ggText) {
				this.ggText=hs;
				this.innerHTML=hs;
			}
		}
		this._menu_text4.ggUpdateText();
		this._markertemplate.appendChild(this._menu_text4);
		this._hide_template_dropdown.appendChild(this._markertemplate);
		this._normal_menu_2=document.createElement('div');
		this._normal_menu_2.ggId='normal_menu_2';
		this._normal_menu_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._normal_menu_2.ggVisible=true;
		this._normal_menu_2.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 149px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #c8c8c8;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._normal_menu_2.setAttribute('style',hs);
		this._hide_template_dropdown.appendChild(this._normal_menu_2);
		this._active_menu_2=document.createElement('div');
		this._active_menu_2.ggId='active_menu_2';
		this._active_menu_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._active_menu_2.ggVisible=true;
		this._active_menu_2.className='ggskin ggskin_rectangle';
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 148px;';
		hs+='height: 18px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #ffffff;';
		hs+='border: 2px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._active_menu_2.setAttribute('style',hs);
		this._hide_template_dropdown.appendChild(this._active_menu_2);
		this.divSkin.appendChild(this._hide_template_dropdown);
		this._button_menu=document.createElement('div');
		this._button_menu.ggId='button_menu';
		this._button_menu.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_menu.ggVisible=true;
		this._button_menu.className='ggskin ggskin_svg';
		this._button_menu.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-40 + w) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-39 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -40px;';
		hs+='top:  -39px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_menu.setAttribute('style',hs);
		this._button_menu__img=document.createElement('img');
		this._button_menu__img.setAttribute('src',basePath + 'images/button_menu.svg');
		this._button_menu__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 32px;height: 32px;-webkit-user-drag:none;');
		this._button_menu__img['ondragstart']=function() { return false; };
		this._button_menu.appendChild(this._button_menu__img);
		this._button_menu.onclick=function () {
			flag=me._marker_node1.ggPositonActive;
			if (me.player.transitionsDisabled) {
				me._marker_node1.style[domTransition]='none';
			} else {
				me._marker_node1.style[domTransition]='all 1000ms ease-out 0ms';
			}
			if (flag) {
				me._marker_node1.ggParameter.rx=0;me._marker_node1.ggParameter.ry=0;
				me._marker_node1.style[domTransform]=parameterToTransform(me._marker_node1.ggParameter);
			} else {
				me._marker_node1.ggParameter.rx=0;me._marker_node1.ggParameter.ry=22;
				me._marker_node1.style[domTransform]=parameterToTransform(me._marker_node1.ggParameter);
			}
			me._marker_node1.ggPositonActive=!flag;
			flag=me._marker_node2.ggPositonActive;
			if (me.player.transitionsDisabled) {
				me._marker_node2.style[domTransition]='none';
			} else {
				me._marker_node2.style[domTransition]='all 1000ms ease-out 0ms';
			}
			if (flag) {
				me._marker_node2.ggParameter.rx=0;me._marker_node2.ggParameter.ry=0;
				me._marker_node2.style[domTransform]=parameterToTransform(me._marker_node2.ggParameter);
			} else {
				me._marker_node2.ggParameter.rx=0;me._marker_node2.ggParameter.ry=44;
				me._marker_node2.style[domTransform]=parameterToTransform(me._marker_node2.ggParameter);
			}
			me._marker_node2.ggPositonActive=!flag;
			flag=me._marker_node3.ggPositonActive;
			if (me.player.transitionsDisabled) {
				me._marker_node3.style[domTransition]='none';
			} else {
				me._marker_node3.style[domTransition]='all 1000ms ease-out 0ms';
			}
			if (flag) {
				me._marker_node3.ggParameter.rx=0;me._marker_node3.ggParameter.ry=0;
				me._marker_node3.style[domTransform]=parameterToTransform(me._marker_node3.ggParameter);
			} else {
				me._marker_node3.ggParameter.rx=0;me._marker_node3.ggParameter.ry=66;
				me._marker_node3.style[domTransform]=parameterToTransform(me._marker_node3.ggParameter);
			}
			me._marker_node3.ggPositonActive=!flag;
			flag=me._marker_node4.ggPositonActive;
			if (me.player.transitionsDisabled) {
				me._marker_node4.style[domTransition]='none';
			} else {
				me._marker_node4.style[domTransition]='all 1000ms ease-out 0ms';
			}
			if (flag) {
				me._marker_node4.ggParameter.rx=0;me._marker_node4.ggParameter.ry=0;
				me._marker_node4.style[domTransform]=parameterToTransform(me._marker_node4.ggParameter);
			} else {
				me._marker_node4.ggParameter.rx=0;me._marker_node4.ggParameter.ry=88;
				me._marker_node4.style[domTransform]=parameterToTransform(me._marker_node4.ggParameter);
			}
			me._marker_node4.ggPositonActive=!flag;
			flag=me._marker_node5.ggPositonActive;
			if (me.player.transitionsDisabled) {
				me._marker_node5.style[domTransition]='none';
			} else {
				me._marker_node5.style[domTransition]='all 1000ms ease-out 0ms';
			}
			if (flag) {
				me._marker_node5.ggParameter.rx=0;me._marker_node5.ggParameter.ry=0;
				me._marker_node5.style[domTransform]=parameterToTransform(me._marker_node5.ggParameter);
			} else {
				me._marker_node5.ggParameter.rx=0;me._marker_node5.ggParameter.ry=110;
				me._marker_node5.style[domTransform]=parameterToTransform(me._marker_node5.ggParameter);
			}
			me._marker_node5.ggPositonActive=!flag;
		}
		this._button_menu.onmouseover=function () {
			me._button_menu__img.src=basePath + 'images/button_menu__o.svg';
		}
		this._button_menu.onmouseout=function () {
			me._button_menu__img.src=basePath + 'images/button_menu.svg';
		}
		this.divSkin.appendChild(this._button_menu);
		this._marker_node1=document.createElement('div');
		this._marker_node1.ggId='marker_node1';
		this._marker_node1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_node1.ggVisible=true;
		this._marker_node1.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 480px;';
		hs+='top:  -22px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._marker_node1.setAttribute('style',hs);
		this._marker_node1.ggMarkerNodeId='{node1}';
		nodeMarker.push(this._marker_node1);
		this._marker_node1.onclick=function () {
			me.player.openNext('{node1}');
		}
		this._menu_text3=document.createElement('div');
		this._menu_text3.ggId='menu_text';
		this._menu_text3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_text3.ggVisible=true;
		this._menu_text3.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  1px;';
		hs+='width: 150px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #ffffff;';
		hs+='border-radius: 1px;';
		hs+=cssPrefix + 'border-radius: 1px;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_text3.setAttribute('style',hs);
		this._menu_text3.innerHTML="Loaction One";
		this._marker_node1.appendChild(this._menu_text3);
		this.divSkin.appendChild(this._marker_node1);
		this._marker_node2=document.createElement('div');
		this._marker_node2.ggId='marker_node2';
		this._marker_node2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_node2.ggVisible=true;
		this._marker_node2.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 480px;';
		hs+='top:  -22px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._marker_node2.setAttribute('style',hs);
		this._marker_node2.ggMarkerNodeId='{node2}';
		nodeMarker.push(this._marker_node2);
		this._marker_node2.onclick=function () {
			me.player.openNext('{node2}');
		}
		this._menu_text2=document.createElement('div');
		this._menu_text2.ggId='menu_text';
		this._menu_text2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_text2.ggVisible=true;
		this._menu_text2.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  1px;';
		hs+='width: 150px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #ffffff;';
		hs+='border-radius: 1px;';
		hs+=cssPrefix + 'border-radius: 1px;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_text2.setAttribute('style',hs);
		this._menu_text2.innerHTML="Loaction Two";
		this._marker_node2.appendChild(this._menu_text2);
		this.divSkin.appendChild(this._marker_node2);
		this._marker_node3=document.createElement('div');
		this._marker_node3.ggId='marker_node3';
		this._marker_node3.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_node3.ggVisible=true;
		this._marker_node3.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 480px;';
		hs+='top:  -22px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._marker_node3.setAttribute('style',hs);
		this._marker_node3.ggMarkerNodeId='{node3}';
		nodeMarker.push(this._marker_node3);
		this._marker_node3.onclick=function () {
			me.player.openNext('{node3}');
		}
		this._menu_text1=document.createElement('div');
		this._menu_text1.ggId='menu_text';
		this._menu_text1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_text1.ggVisible=true;
		this._menu_text1.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  1px;';
		hs+='width: 150px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #ffffff;';
		hs+='border-radius: 1px;';
		hs+=cssPrefix + 'border-radius: 1px;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_text1.setAttribute('style',hs);
		this._menu_text1.innerHTML="Loaction Three";
		this._marker_node3.appendChild(this._menu_text1);
		this.divSkin.appendChild(this._marker_node3);
		this._marker_node4=document.createElement('div');
		this._marker_node4.ggId='marker_node4';
		this._marker_node4.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_node4.ggVisible=true;
		this._marker_node4.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 480px;';
		hs+='top:  -22px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._marker_node4.setAttribute('style',hs);
		this._marker_node4.ggMarkerNodeId='{node4}';
		nodeMarker.push(this._marker_node4);
		this._marker_node4.onclick=function () {
			me.player.openNext('{node4}');
		}
		this._menu_text0=document.createElement('div');
		this._menu_text0.ggId='menu_text';
		this._menu_text0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_text0.ggVisible=true;
		this._menu_text0.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  1px;';
		hs+='width: 150px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #ffffff;';
		hs+='border-radius: 1px;';
		hs+=cssPrefix + 'border-radius: 1px;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_text0.setAttribute('style',hs);
		this._menu_text0.innerHTML="Loaction Four";
		this._marker_node4.appendChild(this._menu_text0);
		this.divSkin.appendChild(this._marker_node4);
		this._marker_node5=document.createElement('div');
		this._marker_node5.ggId='marker_node5';
		this._marker_node5.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._marker_node5.ggVisible=true;
		this._marker_node5.className='ggskin ggskin_mark';
		hs ='position:absolute;';
		hs+='left: 480px;';
		hs+='top:  -22px;';
		hs+='width: 5px;';
		hs+='height: 5px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._marker_node5.setAttribute('style',hs);
		this._marker_node5.ggMarkerNodeId='{node5}';
		nodeMarker.push(this._marker_node5);
		this._marker_node5.onclick=function () {
			me.player.openNext('{node5}');
		}
		this._menu_text=document.createElement('div');
		this._menu_text.ggId='menu_text';
		this._menu_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_text.ggVisible=true;
		this._menu_text.className='ggskin ggskin_text';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  1px;';
		hs+='width: 150px;';
		hs+='height: 25px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #ffffff;';
		hs+='border-radius: 1px;';
		hs+=cssPrefix + 'border-radius: 1px;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._menu_text.setAttribute('style',hs);
		this._menu_text.innerHTML="Loaction Five";
		this._marker_node5.appendChild(this._menu_text);
		this.divSkin.appendChild(this._marker_node5);
		this._markertemplate__normal=this._normal_menu_2.cloneNode(true);
		this._markertemplate__normal.style.visibility='inherit';
		this._markertemplate__normal.style.left=0;
		this._markertemplate__normal.style.top=0;
		this._markertemplate.ggMarkerNormal=this._markertemplate__normal;
		this._markertemplate__active=this._active_menu_2.cloneNode(true);
		this._markertemplate__active.style.visibility='hidden';
		this._markertemplate__active.style.left=0;
		this._markertemplate__active.style.top=0;
		this._markertemplate.ggMarkerActive=this._markertemplate__active;
		if (this._markertemplate.firstChild) {
			this._markertemplate.insertBefore(this._markertemplate__active,this._markertemplate.firstChild);
		} else {
			this._markertemplate.appendChild(this._markertemplate__active);
		}
		if (this._markertemplate.firstChild) {
			this._markertemplate.insertBefore(this._markertemplate__normal,this._markertemplate.firstChild);
		} else {
			this._markertemplate.appendChild(this._markertemplate__normal);
		}
		this._marker_node1__normal=this._normal_menu_2.cloneNode(true);
		this._marker_node1__normal.style.visibility='inherit';
		this._marker_node1__normal.style.left=0;
		this._marker_node1__normal.style.top=0;
		this._marker_node1.ggMarkerNormal=this._marker_node1__normal;
		this._marker_node1__active=this._active_menu_2.cloneNode(true);
		this._marker_node1__active.style.visibility='hidden';
		this._marker_node1__active.style.left=0;
		this._marker_node1__active.style.top=0;
		this._marker_node1.ggMarkerActive=this._marker_node1__active;
		if (this._marker_node1.firstChild) {
			this._marker_node1.insertBefore(this._marker_node1__active,this._marker_node1.firstChild);
		} else {
			this._marker_node1.appendChild(this._marker_node1__active);
		}
		if (this._marker_node1.firstChild) {
			this._marker_node1.insertBefore(this._marker_node1__normal,this._marker_node1.firstChild);
		} else {
			this._marker_node1.appendChild(this._marker_node1__normal);
		}
		this._marker_node2__normal=this._normal_menu_2.cloneNode(true);
		this._marker_node2__normal.style.visibility='inherit';
		this._marker_node2__normal.style.left=0;
		this._marker_node2__normal.style.top=0;
		this._marker_node2.ggMarkerNormal=this._marker_node2__normal;
		this._marker_node2__active=this._active_menu_2.cloneNode(true);
		this._marker_node2__active.style.visibility='hidden';
		this._marker_node2__active.style.left=0;
		this._marker_node2__active.style.top=0;
		this._marker_node2.ggMarkerActive=this._marker_node2__active;
		if (this._marker_node2.firstChild) {
			this._marker_node2.insertBefore(this._marker_node2__active,this._marker_node2.firstChild);
		} else {
			this._marker_node2.appendChild(this._marker_node2__active);
		}
		if (this._marker_node2.firstChild) {
			this._marker_node2.insertBefore(this._marker_node2__normal,this._marker_node2.firstChild);
		} else {
			this._marker_node2.appendChild(this._marker_node2__normal);
		}
		this._marker_node3__normal=this._normal_menu_2.cloneNode(true);
		this._marker_node3__normal.style.visibility='inherit';
		this._marker_node3__normal.style.left=0;
		this._marker_node3__normal.style.top=0;
		this._marker_node3.ggMarkerNormal=this._marker_node3__normal;
		this._marker_node3__active=this._active_menu_2.cloneNode(true);
		this._marker_node3__active.style.visibility='hidden';
		this._marker_node3__active.style.left=0;
		this._marker_node3__active.style.top=0;
		this._marker_node3.ggMarkerActive=this._marker_node3__active;
		if (this._marker_node3.firstChild) {
			this._marker_node3.insertBefore(this._marker_node3__active,this._marker_node3.firstChild);
		} else {
			this._marker_node3.appendChild(this._marker_node3__active);
		}
		if (this._marker_node3.firstChild) {
			this._marker_node3.insertBefore(this._marker_node3__normal,this._marker_node3.firstChild);
		} else {
			this._marker_node3.appendChild(this._marker_node3__normal);
		}
		this._marker_node4__normal=this._normal_menu_2.cloneNode(true);
		this._marker_node4__normal.style.visibility='inherit';
		this._marker_node4__normal.style.left=0;
		this._marker_node4__normal.style.top=0;
		this._marker_node4.ggMarkerNormal=this._marker_node4__normal;
		this._marker_node4__active=this._active_menu_2.cloneNode(true);
		this._marker_node4__active.style.visibility='hidden';
		this._marker_node4__active.style.left=0;
		this._marker_node4__active.style.top=0;
		this._marker_node4.ggMarkerActive=this._marker_node4__active;
		if (this._marker_node4.firstChild) {
			this._marker_node4.insertBefore(this._marker_node4__active,this._marker_node4.firstChild);
		} else {
			this._marker_node4.appendChild(this._marker_node4__active);
		}
		if (this._marker_node4.firstChild) {
			this._marker_node4.insertBefore(this._marker_node4__normal,this._marker_node4.firstChild);
		} else {
			this._marker_node4.appendChild(this._marker_node4__normal);
		}
		this._marker_node5__normal=this._normal_menu_2.cloneNode(true);
		this._marker_node5__normal.style.visibility='inherit';
		this._marker_node5__normal.style.left=0;
		this._marker_node5__normal.style.top=0;
		this._marker_node5.ggMarkerNormal=this._marker_node5__normal;
		this._marker_node5__active=this._active_menu_2.cloneNode(true);
		this._marker_node5__active.style.visibility='hidden';
		this._marker_node5__active.style.left=0;
		this._marker_node5__active.style.top=0;
		this._marker_node5.ggMarkerActive=this._marker_node5__active;
		if (this._marker_node5.firstChild) {
			this._marker_node5.insertBefore(this._marker_node5__active,this._marker_node5.firstChild);
		} else {
			this._marker_node5.appendChild(this._marker_node5__active);
		}
		if (this._marker_node5.firstChild) {
			this._marker_node5.insertBefore(this._marker_node5__normal,this._marker_node5.firstChild);
		} else {
			this._marker_node5.appendChild(this._marker_node5__normal);
		}
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		this._menu_text4.ggUpdateText();
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		this.elementMouseDown=new Array();
		this.elementMouseOver=new Array();
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position:absolute; left:0px;top:0px;visibility: inherit;');
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId='hs';
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			hs ='position:absolute;';
			hs+='left: 200px;';
			hs+='top:  300px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.player.openNext(me.hotspot.url,me.hotspot.target);
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me._tooltip.style[domTransition]='none';
				me._tooltip.style.visibility='inherit';
				me._tooltip.ggVisible=true;
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me._tooltip.style[domTransition]='none';
				me._tooltip.style.visibility='hidden';
				me._tooltip.ggVisible=false;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._hs_image=document.createElement('div');
			this._hs_image.ggId='hs_image';
			this._hs_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hs_image.ggVisible=true;
			this._hs_image.className='ggskin ggskin_svg';
			hs ='position:absolute;';
			hs+='left: -16px;';
			hs+='top:  -16px;';
			hs+='width: 32px;';
			hs+='height: 32px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this._hs_image.setAttribute('style',hs);
			this._hs_image__img=document.createElement('img');
			this._hs_image__img.setAttribute('src',basePath + 'images/hs_image.svg');
			this._hs_image__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 32px;height: 32px;-webkit-user-drag:none;');
			this._hs_image__img['ondragstart']=function() { return false; };
			this._hs_image.appendChild(this._hs_image__img);
			this.__div.appendChild(this._hs_image);
			this._tooltip=document.createElement('div');
			this._tooltip.ggId='tooltip';
			this._tooltip.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._tooltip.ggVisible=false;
			this._tooltip.className='ggskin ggskin_text';
			this._tooltip.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				this.style.left=(-55 + (105-this.offsetWidth)/2) + 'px';
			}
			hs ='position:absolute;';
			hs+='left: -55px;';
			hs+='top:  -45px;';
			hs+='width: auto;';
			hs+='height: auto;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: hidden;';
			hs+='background: #000000;';
			hs+='background: rgba(0,0,0,0.470588);';
			hs+='border: 2px solid #ffffff;';
			hs+='border-radius: 5px;';
			hs+=cssPrefix + 'border-radius: 5px;';
			hs+='color: #ffffff;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='padding: 1px 2px 1px 2px;';
			hs+='overflow: hidden;';
			this._tooltip.setAttribute('style',hs);
			this._tooltip.innerHTML=me.hotspot.title;
			this.__div.appendChild(this._tooltip);
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};